<?php

if (file_exists('../../../init.php')) {
    include_once('../../../init.php');
} else {
    include_once('../../../dbconnect.php');
    include_once('../../../includes/functions.php');
}

include('../../../includes/gatewayfunctions.php');
include('../../../includes/invoicefunctions.php');

$gatewaymodule = 'freekassa';

$GATEWAY = getGatewayVariables($gatewaymodule);

if ($_POST['LMI_PREREQUEST'] == '1') {
    checkCbInvoiceID($_POST['LMI_PAYMENT_NO'], $GATEWAY['name']);
    echo 'YES';
    exit();
}

if (!$GATEWAY['type']) {
    exit('Module Not Activated');
}

$invoiceid = $_POST['InvId'];
checkCbInvoiceID($invoiceid, $GATEWAY['name']);

$transid = $_POST['SignatureValue'];
checkCbTransID($transid);

$amount = $_POST['OutSum'];
$secret_key = $GATEWAY['password2'];
$my_str = $amount .':'. $invoiceid .':'. $secret_key;
$my_crc = strtoupper(md5($my_str));

$result = select_query('tblinvoices', 'userid,total', array('id' => $invoiceid));
$data = mysql_fetch_assoc($result);
$userid = $data['userid'];
$total = $data['total'];
$currency = getCurrency($userid);

if ($GATEWAY['convertto']) {
    $amount = convertCurrency($amount, $GATEWAY['convertto'], $currency['id']);
}

if (($total < $amount + 0.1 && $amount - 0.1 < $total)) {
    $amount = $total;
}


if ($amount == 0) {
    logTransaction($GATEWAY['name'], $_POST, 'Zero Payment');
    echo 'Zero Payment';
    exit();
}

if (strtoupper($my_crc) == strtoupper($_POST['SignatureValue'])) {
    addInvoicePayment($invoiceid, $transid, $amount, '', $gatewaymodule);
    logTransaction($GATEWAY['name'], $_POST, 'Successful');
    echo 'OK'.$invoiceid;
    exit();
}

logTransaction($GATEWAY['name'], $_POST, 'Unsuccessful');
echo 'NO';
exit();