<?php

function freekassa_config()
{
    $configarray = array('FriendlyName' => array('Type' => 'System', 'Value' => 'Free-Kassa'),
                         'rlogin' => array('FriendlyName' => 'Free-Kassa ID', 'Type' => 'text', 'Size' => '20'),
                         'password1' => array('FriendlyName' => 'Password #1', 'Type' => 'text', 'Size' => '20'),
                         'password2' => array('FriendlyName' => 'Password #2', 'Type' => 'text', 'Size' => '20')
    );
    return $configarray;
}

function freekassa_link($params)
{
    $password1 = $params['password1'];
    $invoiceid = $params['invoiceid'];
    $description = $params['description'];
    $amount = $params['amount'];
    $rlogin = $params['rlogin'];
	$client_id = $params['clientdetails']['id'];
    $firstname = $params['clientdetails']['firstname'];
    $lastname = $params['clientdetails']['lastname'];
    $email = $params['clientdetails']['email'];
    $phone = $params['clientdetails']['phone'];
    $companyname = $params['companyname'];
    $systemurl = $params['systemurl'];
    $currency = $params['currency'];
    $sum = sprintf('%.2f', $amount);
    $sum = (float) $sum;
    $presign = $rlogin . ':' . $sum . ':' . $invoiceid . ':' . $password1;
    $signature = md5($presign);
    $url = 'http://www.free-kassa.ru/merchant/cash.php';
  
	$description = "Invoice #{$invoiceid} for {$params['basecurrencyamount']} {$params['basecurrency']}. Client: #{$client_id} ({$lastname} {$firstname} {$email}).";

    $code = '<form action="' . $url . '" method="GET">
	     <input type="hidden" name="MrchLogin" value="' . $rlogin . '">
	     <input type="hidden" name="InvId" value="' . $invoiceid . '">
	     <input type="hidden" name="Email" value="' . $email . '">
	     <input type="hidden" name="OutSum" value="' . $sum . '">
	     <input type="hidden" name="Desc" value="'.$description.'">
	     <input type="hidden" name="SignatureValue" value="' . $signature . '">
	     <input type="submit" value="' . $params['langpaynow'] . '">
	     </form>';

    return $code;
}